Package be.e_contract.ejsf.component.leaflet

# Class LeafletComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UIOutput
be.e_contract.ejsf.component.leaflet.LeafletComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.ValueHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`, `org.primefaces.component.api.Widget`

public class LeafletComponent extends javax.faces.component.UIOutput implements org.primefaces.component.api.Widget

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_FAMILY`
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface org.primefaces.component.api.Widget

`ATTR_WIDGET_VAR_PATTERN, CALLBACK_POST_CONSTRUCT, CALLBACK_POST_REFRESH, CALLBACK_PRE_DESTROY`

## Constructor Summary

Constructors
Constructor
Description
`LeafletComponent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFamily()`
`String`
`getHeight()`
`int`
`getMaxZoom()`
`int`
`getMinZoom()`
`String`
`getUrlTemplate()`
`String`
`getWidgetVar()`
`String`
`getWidth()`
`int`
`getZoom()`
`boolean`
`isZoomControl()`
`void`
`setHeight(String height)`
`void`
`setMaxZoom(int maxZoom)`
`void`
`setMinZoom(int minZoom)`
`void`
`setUrlTemplate(String urlTemplate)`
`void`
`setWidgetVar(String widgetVar)`
`void`
`setWidth(String width)`
`void`
`setZoom(int zoom)`
`void`
`setZoomControl(boolean zoomControl)`

### Methods inherited from class javax.faces.component.UIOutput

`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.primefaces.component.api.Widget

`resolveWidgetVar, resolveWidgetVar`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

### COMPONENT_FAMILY

public static final String COMPONENT_FAMILY

See Also:
  - Constant Field Values

## Constructor Details

### LeafletComponent

public LeafletComponent()

## Method Details

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UIOutput`

### getWidgetVar

public String getWidgetVar()

### setWidgetVar

public void setWidgetVar(String widgetVar)

### setHeight

public void setHeight(String height)

### getHeight

public String getHeight()

### setWidth

public void setWidth(String width)

### getWidth

public String getWidth()

### setZoomControl

public void setZoomControl(boolean zoomControl)

### isZoomControl

public boolean isZoomControl()

### setZoom

public void setZoom(int zoom)

### getZoom

public int getZoom()

### setMinZoom

public void setMinZoom(int minZoom)

### getMinZoom

public int getMinZoom()

### setMaxZoom

public void setMaxZoom(int maxZoom)

### getMaxZoom

public int getMaxZoom()

### setUrlTemplate

public void setUrlTemplate(String urlTemplate)

### getUrlTemplate

public String getUrlTemplate()